/* EGG - The GIMP Toolkit
 * eggprintersettings.h: Printer Settings
 * Copyright (C) 2005, Red Hat, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __EGG_PRINTER_SETTINGS_H__
#define __EGG_PRINTER_SETTINGS_H__

#include <glib-object.h>

G_BEGIN_DECLS

typedef struct _EggPrinterSettings EggPrinterSettings;

#define EGG_TYPE_PRINTER_SETTINGS    (egg_printer_settings_get_type ())
#define EGG_PRINTER_SETTINGS(obj)    (G_TYPE_CHECK_INSTANCE_CAST ((obj), EGG_TYPE_PRINTER_SETTINGS, EggPrinterSettings))
#define EGG_IS_PRINTER_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EGG_TYPE_PRINTER_SETTINGS))

GType               egg_printer_settings_get_type (void);
EggPrinterSettings *egg_printer_settings_new      (void);
EggPrinterSettings *egg_printer_settings_copy     (EggPrinterSettings *other);


G_END_DECLS

#endif /* __EGG_PRINTER_SETTINGS_H__ */
