#ifndef __TEST_PRINT_FILE_OPERATION_H__
#define __TEST_PRINT_FILE_OPERATION_H__

#include <eggprintoperation.h>

G_BEGIN_DECLS

#define TEST_TYPE_PRINT_FILE_OPERATION    (test_print_file_operation_get_type ())
#define TEST_PRINT_FILE_OPERATION(obj)    (G_TYPE_CHECK_INSTANCE_CAST ((obj), TEST_TYPE_PRINT_FILE_OPERATION, TestPrintFileOperation))
#define TEST_IS_PRINT_FILE_OPERATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TEST_TYPE_PRINT_FILE_OPERATION))

typedef struct _TestPrintFileOperationClass   TestPrintFileOperationClass;
typedef struct _TestPrintFileOperationPrivate TestPrintFileOperationPrivate;
typedef struct _TestPrintFileOperation        TestPrintFileOperation;

struct _TestPrintFileOperation
{
  EggPrintOperation parent_instance;

  /* < private > */
  char *filename;
  int lines_per_page;

  
  char **lines;
  int num_lines;
};

struct _TestPrintFileOperationClass
{
  EggPrintOperationClass parent_class;
};

GType               test_print_operation_get_type (void);
TestPrintFileOperation * test_print_operation_new (const char *filename);
void test_print_operation_set_lines_per_page (TestPrintFileOperation *op,
					      int lines_per_page);

G_END_DECLS

#endif /* __TEST_PRINT_FILE_OPERATION_H__ */
